This endpoint retrieves an employee’s superannuation detail. The response object is region-aware. Fields not applicable to the employee’s payroll region will not be returned.
https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/superannuation_detailPath Parameters
The ID of the organisation to retrieve
The ID of the employee to retrieve
Response Body
A hash containing a data property whose value is a Superannuation Details object.
If it does not exist, a 404 Not Found error is returned.
The type of superannuation scheme.
The account name for the superannuation fund.
Contact number for the superannuation fund.
The Australian Business Number (ABN) of the superannuation fund.
The name of the superannuation fund.
The member number for the superannuation account.
The product code of the superannuation fund.
Electronic service address for SMSF.
Whether this is the employer nominated fund.
The product ID number of the superannuation fund.
Unique Superannuation Identifier.
The type of fund (e.g., "Regulated").
Whether to consolidate superannuation accounts.
Whether the employee agrees to the declaration.
Timestamp when the declaration was agreed to.
Array of uploaded files related to superannuation.
Agreement to "things you should know" declaration.
Timestamp for "things you should know" declaration agreement.
Agreement to trustee declaration.
Timestamp for trustee declaration agreement.
Whether Tax File Number is included.
Agreement to employer default fund.
The superfund account name.
The product name of the superannuation fund.
Website URL of the superannuation fund.
Email address of the superannuation fund.
Bank BSB code for SMSF account.
Bank account number for SMSF account.
Address of the superannuation fund.
The assessment status for auto-enrolment (e.g., non_eligible_job_holder).
The date of the auto-enrolment assessment.
Whether the employee has opted in to the pension scheme.
The date when the employee opted in.
The date when auto-enrolment opt-out occurred.
Reference number for auto-enrolment opt-out.
Override for maximum earnings threshold.
Override for minimum earnings threshold.
Date when pension enrolment was deferred.
Override for employee contribution percentage.
Override for employer contribution percentage.
Override for salary sacrifice percentage.
Whether to process opt-out refunds.
The pension assessment option (e.g., automatic).
Whether the employee is enrolled in the pension scheme.
The postponement option for pension enrolment.
Timestamp of last payroll update.
The pension contribution plan details.
The KiwiSaver enrollment status (1-3).
The employee contribution percentage.
The employer contribution percentage.
Start date for savings suspension.
End date for savings suspension.
The date when the employee opted out of KiwiSaver.
Reason for KiwiSaver ineligibility.
Timestamp when the record was created.
Timestamp when the record was last updated.
Reason for late opt-out from KiwiSaver.
Additional explanation for late opt-out reason.
Array of deduction-related files.
Example
curl -X GET \ "https://api.employmenthero.com/api/v2/organisations/:organisation_id/employees/:employee_id/superannuation_detail" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "superannuation_scheme": "superfund", "account_name": "account name", "contact_number": "contact number", "fund_abn": "39623897732", "fund_name": "The Trustee for EH Super Fund", "member_number": "member number", "product_code": "39623897732001", "electronic_service_address": null, "employer_nominated_fund": false, "product_id_number": "39623897732001", "website": null, "fund_email": null, "account_bsb": null, "account_number": null, "usi": "39623897732001", "fund_type": "Regulated", "consolidate": null, "declaration_agree": true, "declaration_agreed_at": "2025-08-18T23:23:29+10:00", "upload_files": [], "things_you_should_know_declaration_agree": null, "things_you_should_know_declaration_agreed_at": null, "trustee_declaration_agree": null, "trustee_declaration_agreed_at": null, "including_tfn": true, "employer_default_fund_agree": null, "superfund_account_name": "account name", "product_name": null, "address": null, "assessment_status": "non_eligible_job_holder", "assessment_date": "2025-08-18", "opt_in": true, "opt_in_date": "2025-08-18", "auto_enrol_opt_out_date": "2025-08-20", "auto_enrol_opt_out_reference": "opt out reference", "override_max_earnings_threshold": 50270, "override_min_earnings_threshold": 6240, "deferral_date": null, "override_employee_contribution": 5, "override_employer_contribution": 3, "override_salary_sacrifice": 0, "process_opt_out_refunds": false, "pension_assessment_option": "automatic", "enrolled": true, "postponement_option": null, "last_payroll_updated_at": null, "pension_contribution_plan": { "enable": true, "name": "Not Sure", "pension_scheme_name": "Test Scheme 2", "calculate_on_qualifying_earnings": true, "is_auto_enrolment_scheme": true, "pension_type": "net_pay", "reporting_frequency": "w1", "max_earnings_threshold": 50270, "min_earnings_threshold": 6240, "employee_contribution": 5, "employer_contribution": 3, "salary_sacrifice": 0 }, "enrollment_status": 3, "employee_contribution": 3, "employer_contribution": 3, "savings_suspension_from_date": null, "savings_suspension_to_date": null, "opt_out_date": "17/08/2025", "ineligibility_reason": null, "created_at": "2025-08-18T23:24:08.634+10:00", "updated_at": "2025-08-18T23:24:16.865+10:00", "late_opt_out_reason": null, "late_opt_out_reason_other_explanation": null, "deduction_files": [] }}